Subject: [Idr] I-D Action: draft-ietf-idr-route-leak-detection-mitigation-06.txt

From: [email-masked]
Date: Mon, 06 Mar 2017 18:59:12 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing of the IETF.

        Title           : Methods for Detection and Mitigation of BGP Route Leaks
        Authors         : Kotikalapudi Sriram
                          Doug Montgomery
                          Brian Dickson
                          Keyur Patel
                          Andrei Robachevsky
	Filename        : draft-ietf-idr-route-leak-detection-mitigation-06.txt
	Pages           : 24
	Date            : 2017-03-06

Abstract:
   RFC 7908 provides a definition of the route leak problem, and also
   enumerates several types of route leaks.  This document first
   examines which of those route-leak types are detected and mitigated
   by the existing origin validation (OV) [RFC 6811].  It is recognized
   that OV offers a limited detection and mitigation capability against
   route leaks.  This document specifies enhancements that significantly
   extend the route-leak prevention, detection, and mitigation
   capabilities of BGP.  One solution component involves intra-AS
   messaging from ingress router to egress router using a BGP Community
   or Attribute.  This intra-AS messaging prevents the AS from causing
   route leaks.  Another solution component involves carrying a per-hop
   route-leak protection (RLP) field in BGP updates.  The RLP fields are
   proposed to be carried in a new optional transitive attribute, called
   BGP RLP attribute.  The RLP attribute helps with detection and
   mitigation of route leaks at ASes downstream from the leaking AS.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-idr-route-leak-detection-mitigation/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-idr-route-leak-detection-mitigation-06

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-route-leak-detection-mitigation-06

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/